Package org.apache.sling.commons.log.logback

# Interface ConfigProvider

@ConsumerType public interface ConfigProvider
Provides source for Logback configuration fragment.

See Also:
  - "http://logback.qos.ch/manual/configuration.html#fileInclusion"

## Method Summary

Modifier and Type
Method
Description
`@NotNull InputSource`
`getConfigSource()`
Return the input source that supplies the logback configuration

## Method Details

### getConfigSource

@NotNull @NotNull InputSource getConfigSource()
Return the input source that supplies the logback configuration

Returns:
  the input source